BambooIsland: TiXmlUnknown Class Reference

BambooIsland Abgabe 2

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# TiXmlUnknown Class Reference

`#include <tinyxml.h>`

Inheritance diagram for TiXmlUnknown:

List of all members.

## Public Member Functions

| TiXmlUnknown (const TiXmlUnknown &copy)
void | operator= (const TiXmlUnknown &copy)
virtual TiXmlNode * | Clone () const
| Creates a copy of this Unknown and returns it.
virtual void | Print (FILE *cfile, int depth) const
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
virtual const TiXmlUnknown * | ToUnknown () const
| Cast to a more defined type. Will return null not of the requested type.
virtual TiXmlUnknown * | ToUnknown ()
| Cast to a more defined type. Will return null not of the requested type.
virtual bool | Accept (TiXmlVisitor *content) const

## Protected Member Functions

void | CopyTo (TiXmlUnknown *target) const

## Detailed Description

Any tag that tinyXml doesn't recognize is saved as an unknown. It is a tag of text, but should not be modified. It will be written back to the XML, unchanged, when the file is saved.

DTD tags get thrown into TiXmlUnknowns.

Definition at line 1347 of file tinyxml.h.

## Member Function Documentation

bool TiXmlUnknown::Accept | ( | TiXmlVisitor * | content | ) | const`[virtual]`

Walk the XML tree visiting this node and all of its children.

Implements TiXmlNode.

Definition at line 1435 of file tinyxml.cpp.

void TiXmlUnknown::Print | ( | FILE * | cfile,
|  | int | depth
| ) |  | const`[virtual]`

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

Definition at line 1421 of file tinyxml.cpp.

The documentation for this class was generated from the following files:

- C:/Users/easterbunny/Desktop/Echtzeitgraphik-LU/trunk/src/tinyxml.h
- C:/Users/easterbunny/Desktop/Echtzeitgraphik-LU/trunk/src/tinyxml.cpp
- C:/Users/easterbunny/Desktop/Echtzeitgraphik-LU/trunk/src/tinyxmlparser.cpp

All Classes Functions Variables Enumerations Enumerator